Bug 23299 - Switch address1 and streetnumber for German address format on opac-memberentry
Summary: Switch address1 and streetnumber for German address format on opac-memberentry
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-11 10:16 UTC by Marcel de Rooy
Modified: 2019-10-14 20:02 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23299: Switch address1 and streetnumber for German address format on opac-memberentry (3.42 KB, patch)
2019-07-11 10:19 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 23299: Switch address1 and streetnumber for German address format on opac-memberentry (3.43 KB, patch)
2019-07-12 18:33 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23299: Switch address1 and streetnumber for German address format on opac-memberentry (3.49 KB, patch)
2019-07-13 09:57 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2019-07-11 10:16:13 UTC
Switch address1 and streetnumber for German address format on opac-memberentry. This follows preference AddressFormat. And is more similar to memberentry in the staff client (which has three includes files for de, fr, us).
Comment 1 Marcel de Rooy 2019-07-11 10:19:54 UTC
Created attachment 91458 [details] [review]
Bug 23299: Switch address1 and streetnumber for German address format on opac-memberentry

Test plan:
Toggle value of pref AddressFormat and verify change on opac-memberentry.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Maryse Simard 2019-07-12 18:33:24 UTC
Created attachment 91504 [details] [review]
Bug 23299: Switch address1 and streetnumber for German address format on opac-memberentry

Test plan:
Toggle value of pref AddressFormat and verify change on opac-memberentry.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Katrin Fischer 2019-07-13 09:57:22 UTC
Created attachment 91517 [details] [review]
Bug 23299: Switch address1 and streetnumber for German address format on opac-memberentry

Test plan:
Toggle value of pref AddressFormat and verify change on opac-memberentry.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2019-07-13 10:00:29 UTC
This is a small change addressing the issue. In staff this is solved in a more complicated way using different include files - I like to see this simple change for the OPAC for now.
Comment 5 Marcel de Rooy 2019-07-15 06:34:59 UTC
> Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
> Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Thanks Maryse and Katrin
Comment 6 Martin Renvoize 2019-07-15 11:51:27 UTC
Nice work!

Pushed to master for 19.11.00